#!/bin/bash
PATH=/www/server/panel/pyenv/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH

install_tmp='/tmp/bt_install.pl'
download_url=http://down.b1ue.me/bt-plugin/ftp_helper
install_path=/www/server/panel/plugin/ftp_helper

Install()
{
	echo '正在安装[FTP存储空间-辅助插件]' >> $install_tmp
	#==================================================================
	#依赖安装开始


	#依赖安装结束
	#==================================================================

	#==================================================================
	rm -f /tmp/ftp_helper.sh
	rm -f /www/server/panel/ftplib.py /www/server/panel/ftplib.pyc
	rm -f /www/server/panel/plugin/ftp/ftplib.py /www/server/panel/plugin/ftp/ftplib.pyc
	
	ln -s $install_path/hook_ftplib.py /www/server/panel/ftplib.py
	ln -s $install_path/hook_ftplib.py /www/server/panel/plugin/ftp/ftplib.py
	
	echo '================================================'
	echo "True" > /www/server/panel/data/restart.pl
	echo '[FTP存储空间-辅助插件]安装完成' >> $install_tmp
}

Uninstall()
{
	echo '正在卸载[FTP存储空间-辅助插件]' >> $install_tmp
	rm -f /www/server/panel/ftplib.py /www/server/panel/ftplib.pyc
	rm -f /www/server/panel/plugin/ftp/ftplib.py /www/server/panel/plugin/ftp/ftplib.pyc
	rm -rf $install_path
	echo '[FTP存储空间-辅助插件]卸载完成' >> $install_tmp
	echo "True" > /www/server/panel/data/restart.pl
}

if [ "${1}" == 'install' ];then
	Install
elif [ "${1}" == 'uninstall' ];then
	Uninstall
else
	echo 'Error!';
fi
